#include<iostream>
#include<string>
using namespace std;
main()
{
    int i,j=0,M,br=0,N=0,P2=0;
    string T,S;
    cin>>T>>S;
    N=S.length();
    int p[N];
    	for(i=0;i<N;i++)
        	p[i]=0;
    	for(i=0;i<N;i++)
        	while(S[i]==T[j]){
            	p[i]=p[i]+1;
            	j++;
        		}
    M=p[0];
    j=0;
    	for(i=0;i<N;i++){
        	if(M>p[i]){
            	M=p[i];
            	P2=i;
        	}
    	}
    while(br<N){
            if(T[j]==S[P2]){
                T[j]='*';
            }
            j++;
            br++;
        }
    cout<<M<<"\n"<<T;
}